Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.security
Class ServerSocketFactoryWrapper

    java.lang.Object
      javax.net.ServerSocketFactory
          org.jboss.remoting.security.ServerSocketFactoryWrapper

    public class ServerSocketFactoryWrapper

extends javax.net.ServerSocketFactory

Author:
  Tom Elrod

Constructor Summary
`ServerSocketFactoryWrapper(ServerSocketFactoryMBean serverSocketFactory)`

Method Summary
`java.net.ServerSocket` | `createServerSocket()`
`java.net.ServerSocket` | `createServerSocket(int i)`
`java.net.ServerSocket` | `createServerSocket(int i, int i1)`
`java.net.ServerSocket` | `createServerSocket(int i, int i1, java.net.InetAddress inetAddress)`
`ServerSocketFactoryMBean` | `getDelegate()`

Methods inherited from class javax.net.ServerSocketFactory
`getDefault`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSocketFactoryWrapper

    public ServerSocketFactoryWrapper(ServerSocketFactoryMBean serverSocketFactory)

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int i)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int i,
                                                    int i1)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket(int i,
                                                    int i1,
                                                    java.net.InetAddress inetAddress)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### createServerSocket

    public java.net.ServerSocket createServerSocket()
                                             throws java.io.IOException

  Overrides:
    `createServerSocket` in class `javax.net.ServerSocketFactory`
  Throws:
    `java.io.IOException`

### getDelegate

    public ServerSocketFactoryMBean getDelegate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.